local utils = require 'utils'

local Hostname_GetState = {}

function Hostname_GetState.invoke()
    local stdout, err, errData = utils.shell_posix('hostname')
    if err ~= nil then
        return nil, err, errData
    end

    local hostname = utils.trim(stdout)
    return hostname
end

return Hostname_GetState
