local utils = require 'utils'
local cjson = require 'cjson.safe'
local errType = require 'errType'

local RexStudio_Restart = {}

function RexStudio_Restart.invoke(args)
    local _, err, errData = utils.shell_posix('sudo', nil, 'systemctl', 'is-active', '--quiet', 'rex-dwm-studio')
    if err == nil then
        return true
    end

    _, err, errData = utils.shell_posix('sudo', nil, 'systemctl', 'restart', 'rex-dwm-studio')
    if err ~= nil then
        return false, err, errData
    end
    return true
end

return RexStudio_Restart
